summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Andrew Lobanov <spline1986@gmail.com>2014-10-07 08:25:38 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-10-11 00:14:13 +0700
commitda39a9b4b24abb07e7e9e9e051f2b1cc3f62a39c (patch)
tree691c5bd8b62c0d91119ed33155e9c16e02d1392b /games
parent8894f7f91bb6a1aa61bd21e8c82d68b94baca1b4 (diff)
downloadslackbuilds-da39a9b4b24abb07e7e9e9e051f2b1cc3f62a39c.tar.gz
slackbuilds-da39a9b4b24abb07e7e9e9e051f2b1cc3f62a39c.tar.xz
games/instead: Added (INterpreter of Simple TExt ADventure).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/instead/README3
-rw-r--r--games/instead/doinst.sh3
-rw-r--r--games/instead/instead.SlackBuild85
-rw-r--r--games/instead/instead.info10
-rw-r--r--games/instead/slack-desc19
5 files changed, 120 insertions, 0 deletions
diff --git a/games/instead/README b/games/instead/README
new file mode 100644
index 0000000000..0546847f2f
--- /dev/null
+++ b/games/instead/README
@@ -0,0 +1,3 @@
+INSTEAD — INterpreter of Simple TExt ADventure. Using INSTEAD you
+can create and play adventure games that could be classified as a
+mix of visual novel and quest text, like well-known text-book games.
diff --git a/games/instead/doinst.sh b/games/instead/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/instead/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/instead/instead.SlackBuild b/games/instead/instead.SlackBuild
new file mode 100644
index 0000000000..c4e8e56c5a
--- /dev/null
+++ b/games/instead/instead.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+# Slackware build script for INSTEAD
+
+# Written by Andrew Lobanov <spline @ rooker dot ru>
+
+PRGNAM=instead
+VERSION=${VERSION:-2.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM\_$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ ! -d ./build ]; then
+ mkdir ./build
+fi
+cd build
+cmake \
+ -DBINDIR=/usr/bin \
+ -DDOCDIR=/usr/doc \
+ -DMANDIR=/usr/man \
+ -DDATADIR=/usr/share \
+ -DICONDIR=/usr/share/pixmaps \
+ -DDESKTOPDIR=/usr/share/applications \
+ ../
+make
+make install DESTDIR=$PKG PREFIX=/usr
+cd ..
+
+# Create a directory for documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Fix desktop file
+sed -i "s|/usr/local//usr/bin/sdl-instead|sdl-instead|" $PKG/usr/share/applications/instead.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/instead/instead.info b/games/instead/instead.info
new file mode 100644
index 0000000000..5131c8f552
--- /dev/null
+++ b/games/instead/instead.info
@@ -0,0 +1,10 @@
+PRGNAM="instead"
+VERSION="2.1.1"
+HOMEPAGE="http://instead.syscall.ru/"
+DOWNLOAD="http://downloads.sourceforge.net/project/instead/instead/2.1.1/instead_2.1.1.tar.gz"
+MD5SUM="8f509ea247a23beeb53aed0bc3ae374e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lua"
+MAINTAINER="Andrew Lobanov"
+EMAIL="spline1986@gmail.com"
diff --git a/games/instead/slack-desc b/games/instead/slack-desc
new file mode 100644
index 0000000000..cc54c79a36
--- /dev/null
+++ b/games/instead/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+instead: Instead (INterpreter of Simple TExt ADventure)
+instead:
+instead: INSTEAD — INterpreter of Simple TExt ADventure. Using INSTEAD you can
+instead: create and play adventure games that could be classified as a mix of
+instead: visual novel and quest text, like well-known text-book games.
+instead:
+instead: homepage: http://instead.syscall.ru/
+instead:
+instead:
+instead:
+instead: